From d0f8b4989c8f05b7e11fd7f9544f15561b1e99e2 Mon Sep 17 00:00:00 2001
From: Mahmoud Hossam <mahmoud.h.hanafy@gmail.com>
Date: Tue, 8 May 2012 18:41:27 +0200
Subject: [PATCH 1/1] Use str instead of basestring
Forwarded: https://github.com/kennethreitz-archive/args/commit/d0f8b4989c8f05b7e11fd7f9544f15561b1e99e2

---
 args.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/args.py b/args.py
index ac95a5c..c2133d1 100644
--- a/args.py
+++ b/args.py
@@ -34,7 +34,7 @@ def _expand_path(path):
 def _is_collection(obj):
     """Tests if an object is a collection. Strings don't count."""
 
-    if isinstance(obj, basestring):
+    if isinstance(obj, str):
         return False
 
     return hasattr(obj, '__getitem__')
@@ -395,4 +395,4 @@ flags = args.flags
 not_flags = args.not_flags
 files = args.files
 not_files = args.not_files
-copy = args.copy
\ No newline at end of file
+copy = args.copy
-- 
2.39.2

